# The BOEUF conceptual framework

BOEUF is a conceptual framework for modeling and building orchestras of digital musical instruments. It consists of a classification of *modes of collaboration*, and a set of *components* which can be used to enable these modes in digital instruments. We developed this classification after conducting interviews with digital musicians who work in ensembles, as well as literature review of work on digital ensembles and collaborative instruments. The word “boeuf” is french slang for a jam session.

## Modes of Collaboration

The *modes of collaboration* are a categorization which is intended to describe all the ways that musicians collaborate and communicate during performance. This includes interactions which are *mediated* (i.e. take place through some technology) as well as *unmediated* interactions (which can occur through being in the same space together.)

We propose that there are three modes of collaboration: *Cooperation*, *Communication*, and *Organisation*

### Cooperation Modes
*Cooperation* describes the ways that musicians coordinate their actions with respect to their instruments. This cooperation can be:

* **Independent:** Each musician controls their own instrument. For example, when two musicians begin to play their instruments at the same time this is *independent cooperation*. They are cooperating because they coordinated their musical gestures, but they act only on their own instrument.

* **Complementary:** Multiple musicians can affect different aspects of the same musical process. For example, when one musician adds effects to a sound generated by another musician.

* **Concurrent:** Multiple musicians can control the same aspect of the same musical musical process. For example, when two musicians can both control some parameter (e.g. filter cutoff frequency) on the same instrument.

### Communication Modes
*Communication* describes how musicians exchange information which may then influence their actions.

* **Awareness:** Awareness describes all non-intentional communication. For example being able to see the movements of other musicians. 

* **Indication:** Indications are intentional communicative acts. For example, cueing an entrance. Deliberate nods and glances between musicians may be indications.

* **Exchanges:** Exchange is the transfer of musical data between musicians. For example, in a digital ensemble on musician might send a sequence of notes to another's instrument. Or in a jazz ensemble a soloist might use a motif from the previous soloist.

### Organisation Modes

*Organisation* describes the relationships between musicians. Organisation does not directly affect the sound production, but it impacts how the communication and cooperation modes operate.

* **Nomination: ** Nomination is that act of defining the roles of musicians within the group. For example one musician might be the conductor, another might be a soloist.
  
* **Grouping** The act of grouping defines a hierarchy of groups of instruments. For example a musician might be in the group "viola players" as well as in the group "string section."

* **Selection** Selection is the act of choosing a group or instrument for cooperation or communication. For example, a conductor might gesture to the wind section (thereby selecting them) before cueing their entrance (indication.) 

## The Boeuf components
[TODO]

## Navigate
* The BOEUF project: [](https://bf-collab.net/bf/)
* The Bf-Pd library: [](https://gitlab.cristal.univ-lille.fr/boeuf/bf-pd/blob/master/README.md)